Subject: Strange fresh-water critters

From: [email-masked] (HAllen9725)
Date: 21 Sep 1995 23:53:47 -0400

I am a teacher in Sacramento and have had a strange critter brought in for
me to identify.  I need help!  These fresh water beings were found in Lake
Amador.  They are roughly the size and shape of a beef kidney.  They are
of a firm, gelatinous consistancy not unlike an amphibian egg mass.  They
are somewhat translucent.  It appears that they were "growing" on a twig
or plant matter that runs the length of their long axis.  There are
greenish and dark discolorations in the matter.  I have been pointed to a
fresh water bryozoan but my books fail me.  The only reference I see that
looks promising is in the family Cristaltellidae.  Anyone have an idea of
what they are or perhaps a good newgroup with whom to inquire?